local  SaltProduction = foundation.createMod();

if (foundation.getGameVersion == nil or version.cmp(foundation.getGameVersion(), "1.6") < 0) then
    SaltProduction:log("SaltProduction: game version anterior to 1.6")
    return
end

function checkVersion(_name, _id, _minimalVersion)
        if (foundation.getModVersion == nil) then
            SaltProduction:msgBox("SaltProduction: Unknown mod version")
            return false
        end
        if not foundation.isModEnabled(_id) then
            SaltProduction:msgBox("SaltProduction: " .. _name .. " disabled")
            return false
        end
        if not foundation.isModLoaded(_id) then
            SaltProduction:msgBox("SaltProduction: Up the position of " .. _name .. " in the mod list of your game")
            return false
        end
        local _myVersion = foundation.getModVersion(_id)
        SaltProduction:msgBox("SaltProduction: " .. _name .. " Current version : " .. _myVersion)
        if version.cmp(_myVersion, _minimalVersion) < 0 then
            SaltProduction:msgBox("SaltProduction: Please, load the last version of " .. _name)
            return false
        end
        return true
end

if not checkVersion("Common Resources", "76daffe0-725f-4dac-b1b5-de331dfca67a", "1.1.1") then
    return
end

CommonResourceCarcass = "BV1_CARCASS"
SaltPrefix = "SALT_V5"
SaltMarshesPrefix = "SALT_MARSHES_V5"
RockSaltMinePrefix = "ROCK_SALT_MINE_V5"
SaltWorksPrefix = "SALTWORKS_V5"
SmokeHousePrefix = "SMOKE_HOUSE_V5"

-- Apply building asset processor
SaltProduction:registerAssetProcessor("models/saltmarshes.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
SaltProduction:registerAssetProcessor("models/rocksaltmine.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
SaltProduction:registerAssetProcessor("models/saltworks.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
SaltProduction:registerAssetProcessor("models/smokehouse.fbx", {
    DataType = "BUILDING_ASSET_PROCESSOR"
})

-- Particle system
SaltProduction:dofile("scripts/marsh.lua")
-- Jobs
SaltProduction:dofile("scripts/jobs.lua")
-- Resources
SaltProduction:dofile("scripts/resources.lua")
-- Trading
SaltProduction:dofile("scripts/trade.lua")
-- Buildings
SaltProduction:dofile("scripts/saltmarshes.lua")
SaltProduction:dofile("scripts/rocksaltmine.lua")
SaltProduction:dofile("scripts/saltworks.lua")
SaltProduction:dofile("scripts/smokehouse.lua")
